Podręcznik PHP
Poprzedni |  | Następny

# DOMComment->__construct()

DOMComment->__construct() -- Creates a new DOMComment object

## Opis

class DOMComment {
__construct ( [string value] )
}

Creates a new DOMComment object. This object is read only. It may be appended to a document, but additional nodes may not be appended to this node until the node is associated with a document. To create a writeable node, use DOMDocument->createComment().

## Parametry

value

  The value of the comment.

## Przykłady

Przykład 1. Creating a new DOMComment

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $comment = $element->appendChild(new DOMComment('root comment')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root><!--root comment--></root> */ ?>`

## Patrz także

DOMDocument->createComment()

Poprzedni | Spis treści | Następny
DOMCharacterData->substringData() | Początek rozdziału | DOMDocument->__construct()